%define name	ltrace
%define version	0.3.31
%define release	1mdk

Summary:	Track runtime library calls from dynamically linked executables
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		ftp://ftp.debian.org:/debian/pool/main/l/ltrace/
Source0:	ltrace_%{version}.tar.bz2
Source1:	ltrace-0.3.26-x86_64.tar.bz2
Patch0:		ltrace-0.3.31-64bit-fixes.patch.bz2
Patch2:		ltrace-0.3.26-args-size_t.patch.bz2
License:	GPL
Group:		Development/Other
ExclusiveArch:	%{ix86} x86_64 ppc
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Ltrace is a debugging program which runs a specified command until the
command exits.  While the command is executing, ltrace intercepts and
records both the dynamic library calls called by the executed process
and the signals received by the executed process.  Ltrace can also
intercept and print system calls executed by the process.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep
%setup -q -a 1
%patch0 -p1 -b .64bit-fixes
#%patch2 -p1 -b .args-size_t

%build
%configure
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc debian/changelog COPYING README TODO BUGS
%_bindir/ltrace
%_mandir/man1/ltrace.1.*
%config(noreplace) /etc/ltrace.conf

%changelog
* Tue Feb 11 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.31-1mdk
- 0.3.31

* Thu Jan 16 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.26-3mdk
- Only include informative README
- Patch1: Add more funcs to conf file
- Patch2: Add long, ulong, size argument types (don't apply yet)

* Mon Sep 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.26-2mdk
- Add support for x86-64 architecture.
- Patch0: Temptatively add 64-bit support and fixes.
- README says ppc is supported, let it be so. Stew, bug me otherwise. ;-)

* Fri Apr 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.26-1mdk
- new release
- fix source url
- remove old commented commands
- let spec-helper do the job, aka let it compress man-pages and strip
  binaries
- add Url
- use more macros
- rewrite %%files section to be more mandrake independant

* Thu Jan 24 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.16-1mdk
- new version

* Fri Oct 26 2001 Jeff Garzik <jgarzik@mandraksoft.com> 0.3.15-1mdk
- Version 0.3.15.

* Tue May 22 2001 Jeff Garzik <jgarzik@mandraksoft.com> 0.3.10-5mdk
- Use ix86 macro with ExclusiveArch

* Tue Sep  5 2000 Etienne Faure  <etienne@mandraksoft.com> 0.3.10-4mdk
- rebuilt with _mandir macro

* Wed Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.3.10-3mdk
- added more docs

* Tue Apr 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.3.10-2mdk
- Updated group

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.3.10-1mdk
- updated BuildRoot
- version 0.3.10
- removed necessity for patch simply to fixup manpage location

* Wed Dec  1 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- update to 0.3.8
- use of _tmppath and prefix
- patch to get man page in /usr/man

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.3.6.

* Mon Sep 21 1998 Preston Brown <pbrown@redhat.com>
- upgraded to 0.3.4
